package de.fullrisk.citrusDev;

import io.wispforest.owo.ui.core.Animatable;
import net.minecraft.util.Mth;

public record ScaleValue(float value) implements Animatable<ScaleValue> {
    @Override
    public ScaleValue interpolate(ScaleValue next, float delta) {
        return new ScaleValue(Mth.lerp(delta, this.value, next.value));
    }
}